DROP TABLE IF EXISTS `#__dmmdb`;

CREATE TABLE `#__dmmdb` (
  `id` int(10) auto_increment,
  `url` varchar(255) NOT NULL default 'http://giss.tv/dmmdbflv',
  `channels` varchar(255) NOT NULL default 'all',
  `fullname` varchar(255) NOT NULL default 'http://giss.tv/dmmdbflv::giss',
  `nbmaxchannels` int(10) NOT NULL default 10,
  `width` int(10) NOT NULL default 400,
  `nbitems` int(10) NOT NULL default 6,
  `modal` boolean NOT NULL default 1,
  `comments` boolean NOT NULL default 1,
  `search` boolean NOT NULL default 1,
  `latest_videos` boolean NOT NULL default 1,
  `most_viewed` boolean NOT NULL default 0,
  `favorites` boolean NOT NULL default 0,
  `categories` boolean NOT NULL default 0,
  `same_author` boolean NOT NULL default 0,
  `same_category` boolean NOT NULL default 0,
  `same_keywords` boolean NOT NULL default 0,
  `playlists` boolean NOT NULL default 0,
  `friend_channels` boolean NOT NULL default 0,
  `latest_on_friend_channels` boolean NOT NULL default 0,
  `text_color` varchar(8) NOT NULL default '000000',
  `background_color` varchar(8) NOT NULL default 'FFFFFF',
  `tip_text_color` varchar(8) NOT NULL default '000000',
  `tip_bg_color` varchar(8) NOT NULL default 'FF6600',
  `link_color` varchar(8) NOT NULL default '000000',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

INSERT into `#__dmmdb` ( url, channels, fullname, nbmaxchannels, width, nbitems, modal, comments, search, latest_videos, most_viewed, favorites, categories, same_author, same_category, same_keywords, playlists, friend_channels, latest_on_friend_channels, text_color, background_color, tip_text_color, tip_bg_color, link_color ) VALUES ( 'http://giss.tv/dmmdbflv', 'all', 'http://giss.tv/dmmdbflv::all', 10, 400, 6, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, '000000', 'FFFFFF', '000000', 'FF6600', '000000' );
