<?php
/**
 * Distributed Multi-media Database for Distributed Multi-media Database Component
 * 
 * @package    Distributed Multi-media Database Component
 * @subpackage Components
 * @license        GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

/**
 * Dmmdb View
 *
 * @subpackage Components
 */
class DmmdbsViewDmmdb extends JView
{
    /**
     * display method of Dmmdb view
     * @return void
     **/
    function display($tpl = null)
    {
        //get the hello
        $dmmdb        =& $this->get('Data');
        $isNew        = ($dmmdb->id < 1);

        $text = $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
        JToolBarHelper::title(   JText::_( 'Distributed Multi-media Database' ).': <small><small>[ ' . $text.' ]</small></small>' );
        JToolBarHelper::save();
        if ($isNew)  {
            JToolBarHelper::cancel();
        } else {
            // for existing items the button is renamed `close`
            JToolBarHelper::cancel( 'cancel', 'Close' );
        }

        $this->assignRef('dmmdb', $dmmdb);

        parent::display($tpl);
    }
}
