<?php
/**
 * Distributed Multi-media Database table class
 * 
 * @package    Distributed Multi-media Database Component
 * @subpackage Components
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Dmmdb Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class TableDmmdb extends JTable
{
	/**
	 * Primary Key
	 *
	 */
	var $id = null;
	var $url = null;
	var $channels = null;
	var $fullname = null;
	var $nbmaxchannels = null;
	var $width = null;
	var $nbitems = null;
	var $modal = null;
	var $comments = null;
	var $search = null;
	var $latest_videos = null;
	var $most_viewed = null;
	var $favorites = null;
	var $categories = null;
	var $same_author = null;
	var $same_category = null;
	var $same_keywords = null;
	var $playlists = null;
	var $friend_channels = null;
	var $latest_on_friend_channels = null;
	var $text_color = null;
	var $background_color = null;
	var $tip_text_color = null;
	var $tip_bg_color = null;
	var $link_color = null;

	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function TableDmmdb(& $db) {
		parent::__construct('#__dmmdb', 'id', $db);
	}
}
